Name:           tla
Version:        1.2.1
Release:        0.fdr.1.1
Epoch:          0
Summary:        The Low-Budget arch Revision Control System

Group:          Development/Tools
License:        GPL
URL:            http://www.gnu.org/software/gnu-arch/
Source0:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz
Source1:        http://ftp.gnu.org/gnu/gnu-arch/%{name}-%{version}.tar.gz.sig
# Patch0 from SuSE 9.1's tla-1.2-15
Patch0:         tla-1.2pre0-posix.patch
# Patch1..3 from ALT Linux's tla-1.2-alt6
Patch1:         tla-1.2-texi.diff
Patch2:         tla-1.2-alt-nolibneon.patch
Patch3:         tla-1.2-alt-texinfo.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  texinfo, neon-devel
Requires:       tar, diffutils, patch
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Arch is a really nifty revision control system. It's "whole-tree changeset
based" which means, roughly, that it can handle (with atomic commits) file
and directory adds, deletes, and renames cleanly, and that it does branching
simply and easily. Arch is also "distributed" which means, for example that
you can make arch branches of your own from remote projects, even if you don't
have write access to the revision control archives for those projects.


%prep
%setup -q
cd src
%patch0 -p0
cd ..
%patch1 -p1
rm -rf src/tla/libneon
%patch2 -p1
%patch3 -p1


%build
mkdir src/=build
cd src/=build
export CFLAGS=$RPM_OPT_FLAGS
../configure \
  --prefix=%{_prefix} --with-install-link-tools=yes --with-cc=%{__cc}
make # %{?_smp_mflags} # 1.2 is not parallel build clean
cd ../docs-tla/texi
makeinfo arch.texi
cd ../..


%install
rm -rf $RPM_BUILD_ROOT
cd src/=build
make install destdir=$RPM_BUILD_ROOT
cd ../..
rm -rf src/docs-tla/html/.arch-ids
ln -s arch.html src/docs-tla/html/index.html
install -Dpm 644 \
  src/docs-tla/texi/arch.info $RPM_BUILD_ROOT%{_infodir}/arch.info


%check || :
cd src/=build
make test


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/arch.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/arch.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING src/tla/ChangeLog src/tla/=THANKS src/tla/=TODO
%doc src/docs-tla/HOWTO.crypto src/docs-tla/html
%{_bindir}/make-links
%{_bindir}/remove-links
%{_bindir}/tla
%{_infodir}/arch.info*


%changelog
* Sun Sep 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.1-0.fdr.1
- Update to 1.2.1.

* Wed Jul 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.3
- Apply patches and ideas from ALT Linux's tla-1.2-alt6 and SuSE's tla-1.2-15:
  Use system libneon, fix for sftp fd leak, install info documentation.
- Run test suite during build.
- Install more documentation.

* Fri Jul 23 2004 Michel Salim <michel.salim[AT]gmail.com> - 0:1.2-0.fdr.2
- Temporarily disable parallel build on SMP systems; Makefile not SMP-safe.
  Please report if situation changes

* Fri Jun 18 2004 Kristof Vansant <de_lupus@pandora.be> - 0:1.2-0.fdr.1
- Updated to 1.2

* Sun Feb 08 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> - 0:1.1-0.fdr.1
- Initial RPM release.

